<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('uni_pop_ups', function (Blueprint $table) {
            $table->id();
            $table->string('title')->nullable();
            $table->integer('number_off')->nullable();
            $table->string('sign')->nullable();
            $table->string('off')->nullable();
            $table->text('desc')->nullable();
            $table->boolean('status')->default(false);
            $table->string('url')->nullable();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('uni_pop_ups');
    }
};
